UberspectImpl.FieldPropertyGet (Commons JEXL 2.0.1 API)
Keywords: org.apache.commons.jexl2.introspection.UberspectImpl.FieldPropertyGet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.introspection
Class UberspectImpl.FieldPropertyGet

    java.lang.Object
      org.apache.commons.jexl2.introspection.UberspectImpl.FieldPropertyGet

All Implemented Interfaces:
  JexlPropertyGet

Enclosing class:
  UberspectImpl

    public static final class UberspectImpl.FieldPropertyGet

extends java.lang.Object
implements JexlPropertyGet

A JexlPropertyGet for public fields.

Constructor Summary
`UberspectImpl.FieldPropertyGet(java.lang.reflect.Field theField)` Creates a new instance of FieldPropertyGet.

Method Summary
`java.lang.Object` | `invoke(java.lang.Object obj)` Method used to get the property value of an object.
`boolean` | `isCacheable()` Specifies if this JexlPropertyGet is cacheable and able to be reused for this class of object it was returned for.
`boolean` | `tryFailed(java.lang.Object rval)` Checks whether a tryInvoke failed or not.
`java.lang.Object` | `tryInvoke(java.lang.Object obj, java.lang.Object key)` Attempts to reuse this JexlPropertyGet, checking that it is compatible with the actual set of arguments.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UberspectImpl.FieldPropertyGet

    public UberspectImpl.FieldPropertyGet(java.lang.reflect.Field theField)

  Creates a new instance of FieldPropertyGet.

  Parameters:
    `theField` - the class public field

Method Detail

### invoke

    public java.lang.Object invoke(java.lang.Object obj)
                            throws java.lang.Exception

  Method used to get the property value of an object.

  Specified by:
    `invoke` in interface `JexlPropertyGet`
  Parameters:
    `obj` - the object to get the property value from.
  Returns:
    the property value.
  Throws:
    `java.lang.Exception` - on any error.

### tryInvoke

    public java.lang.Object tryInvoke(java.lang.Object obj,
                                      java.lang.Object key)

  Attempts to reuse this JexlPropertyGet, checking that it is compatible with the actual set of arguments.

  Specified by:
    `tryInvoke` in interface `JexlPropertyGet`
  Parameters:
    `obj` - the object to invoke the property get upon
    `key` - the property key to get
  Returns:
    the result of the method invocation that should be checked by tryFailed to determine if it succeeded or failed.

### tryFailed

    public boolean tryFailed(java.lang.Object rval)

  Checks whether a tryInvoke failed or not.

  Specified by:
    `tryFailed` in interface `JexlPropertyGet`
  Parameters:
    `rval` - the value returned by tryInvoke
  Returns:
    true if tryInvoke failed, false otherwise

### isCacheable

    public boolean isCacheable()

  Specifies if this JexlPropertyGet is cacheable and able to be reused for this class of object it was returned for.

  Specified by:
    `isCacheable` in interface `JexlPropertyGet`
  Returns:
    true if can be reused for this class, false if not

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.